> ## Documentation Index
> Fetch the complete documentation index at: https://docs.debridge.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Adds signature for the terms and conditions



## OpenAPI

````yaml /dln-details/swagger/monitoring.json post /api/TermsAndConditions/signConditions
openapi: 3.0.1
info:
  title: DLN stats API
  description: >-
    # Introduction

    This API is part of [deBridge](https://debridge.com/) protocol
    infrastructure. 


    Protocol documentation is available [here](https://docs.debridge.com/).


    [Terms and
    Condition](https://debridge.com/assets/files/debridge_terms_of_service.pdf)
    | [Privacy
    Policy](https://debridge.com/assets/files/debridge_privacy_policy.pdf)


    # Swagger

    Swagger document can be found [here](/swagger)


    Redoc document can be found [here](/redoc)
  version: v1
servers:
  - url: https://dln-api.debridge.finance
security: []
paths:
  /api/TermsAndConditions/signConditions:
    post:
      tags:
        - TermsAndConditions
      summary: Adds signature for the terms and conditions
      operationId: TermsAndConditions_SignConditions
      requestBody:
        content:
          application/json-patch+json:
            schema:
              $ref: '#/components/schemas/SignConditionsRequestDTO'
          application/json:
            schema:
              $ref: '#/components/schemas/SignConditionsRequestDTO'
          text/json:
            schema:
              $ref: '#/components/schemas/SignConditionsRequestDTO'
          application/*+json:
            schema:
              $ref: '#/components/schemas/SignConditionsRequestDTO'
      responses:
        '200':
          description: OK
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InvalidInputDataResponse'
        '422':
          description: Unprocessable Content
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InternalServerErrorResponse'
components:
  schemas:
    SignConditionsRequestDTO:
      type: object
      properties:
        signatoryAddress:
          type: string
          description: Address of a wallet that signs the terms and conditions
          nullable: true
        signature:
          type: string
          description: Signature of the terms and conditions
          nullable: true
      additionalProperties: false
      description: Request DTO for signing the terms and conditions
    InvalidInputDataResponse:
      type: object
      properties:
        message:
          type: string
          description: Error message
          nullable: true
        errorCode:
          type: integer
          description: For this type of error it's always 400
          format: int32
      additionalProperties: false
      description: Information about bad input params
    ErrorResponse:
      type: object
      properties:
        message:
          type: string
          description: Error message
          nullable: true
        errorCode:
          type: integer
          description: >-
            Error code, if differs from response code (if !=422) indicates
            unique id of the error that can be used for error's handling
            automation on client side
          format: int32
      additionalProperties: false
      description: Information about error, occurred in the application
    InternalServerErrorResponse:
      type: object
      properties:
        message:
          type: string
          description: Error message
          nullable: true
        errorCode:
          type: integer
          description: For this type of error it's always 500
          format: int32
      additionalProperties: false
      description: Information about an internal server error

````